#/bin/bash
#Project haFuchsbau, Subproject Gartenhaus
#Get Raspberry Pi System Information
#Version: 2016.04.22 by rwblinn.de
#Note: do not forget to x after change: sudo chmod a+x rpiinfo.sh. Then run ./rpiinfo.sh

#Set folder to store the outputs
cd /home/pi/gartenhaus/rpiscripts

#Get CPU Temperature - divide by 1000 
cat /sys/class/thermal/thermal_zone0/temp > rpicputemp.inf
#NOT USED
 #cputemp=$(</sys/class/thermal/thermal_zone0/temp)
 #print "$((cputemp/1000))" > cputemp.inf

#Get Disc space used
df -H | grep 'root' | awk '{ print $5 }' > rpidiscspaceused.inf
#NOT USED
 #df -h --output=source,pcent > rpidiscspace.inf
 #df -H | grep -vE '^Filesystem|tmpfs|cdrom|mm' | awk '{ print $5 " " $1 }'
 #df -H | grep 'root' | awk '{ print $5 " " $1 }'

#Get RAM used
free -o -h | head -n2 | tail -n1 | awk '{print $3}' | tr -d [=M=] > rpimemused.inf

#Get RAM free
free -o -h | head -n2 | tail -n1 | awk '{print $4}' | tr -d [=M=] > rpimemfree.inf
